Bug 44508 - Selecting a file via the file browser for "Custom entitlements" _deletes_ the selected file from the file system rather than selecting it
Summary: Selecting a file via the file browser for "Custom entitlements" _deletes_ the...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: --- critical
Target Milestone: 4.2.x (C8SR0)
Assignee: mag@xamarin.com
URL:
Depends on:
Blocks:
 
Reported: 2016-09-19 23:43 UTC by Brendan Zagaeski (Xamarin Team, assistant)
Modified: 2016-10-19 19:41 UTC (History)
8 users (show)

Tags:
Is this bug a regression?: No
Last known good build:


Attachments
Detailed version info and IDE log files (15.45 KB, application/zip)
2016-09-19 23:43 UTC, Brendan Zagaeski (Xamarin Team, assistant)
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Brendan Zagaeski (Xamarin Team, assistant) 2016-09-19 23:43:11 UTC
Created attachment 17601 [details]
Detailed version info and IDE log files

Selecting a file via the file browser for "Custom entitlements" _deletes_ the selected file from the file system rather than selecting it




## Regression status: Not a recent regression

Although this is technically not a recent regression, users will potentially be running into this issue much more often in the wake of iOS 10.  For example it is now necessary to apply an Entitlements.plist file for simulator builds to be able to use SecKeyChain (Bug 44361).


### BAD: Cycle 8

XamarinVS 4.2.0.680 (c4382f5)

Xamarin.iOS 10.0.0.6 (xcode8: 6c3fee4)
Xcode 8, Build version 8A218a
Mono 4.6.0 (mono-4.6.0-branch/8d0eee7)


### BAD: Cycle 7 – Service Release 1

XamarinVS 4.1.2.18 (fcbe082)

Xamarin.iOS 9.8.2.22 (cycle7-sr1: f37444a)
Xcode 8, Build version 8A218a
Mono 4.6.0 (mono-4.6.0-branch/8d0eee7)


### BAD: Cycle 6 – Service Release 4

XamarinVS 4.0.4.4 (a9c7826)

Xamarin.iOS 9.6.2.4 (cycle6-xi: d8bedd0)
Xcode 7.3, Build version 7D175
Mono 4.2.4 (explicit/71b88f3)




## Steps to replicate

1. Create a new "Visual C# > iOS > iPhone > Blank App (iPhone)" project.

2. Ensure Xamarin for Visual Studio is connected to a Mac (with full support).

3. Set the active configuration to "Debug|iPhoneSimulator".

4. Open "Project Properties > iOS Bundle Signing".

5. Click the "..." button next to "Custom entitlements" to open the file browser.

6. Select the "Entitlements.plist" file.




## BAD Results

- The "Custom entitlements" field remains blank.

- The more critical problem is that the "Entitlements.plist" file has now been _deleted from the file system_.




## Expected results

- The "Custom entitlements" field should be updated to list the selected file name "Entitlements.plist".

- The Entitlements.plist file should certainly _not_ be deleted.
Comment 2 Conrad Hill 2016-09-20 13:13:00 UTC
Experiencing this too!
Comment 4 xamarin-release-manager 2016-09-21 14:00:08 UTC
Fixed in version 4.2.0.683 (cycle8)

Author: Jose Gallardo
Commit: b8be7d54771a9c9bd27d1d125c6ce1f1c2084bd3 (xamarin/XamarinVS)
Comment 5 Kyle White 2016-09-21 20:29:03 UTC
Verified fixed in release branch C8SR0. 

Xamarin   4.2.0.685 (6039b9d)
Comment 6 xamarin-release-manager 2016-10-06 22:39:45 UTC
Fixed in version 4.2.0.743 (cycle8)

Author: Mauro Agnoletti
Commit: 6039b9db797f69964a10158e65148700746ce437 (xamarin/XamarinVS)